- [HTTP request](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores/list#body.request_body)
- [Response body](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores/list#body.aspect_1)

Lists all the `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores#DataStore`s associated with the project.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*}/dataStores`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent branch resource name, such as `projects/{project}/locations/{location}/collections/{collectionId}`. If the caller does not have permission to list `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores#DataStore`s under this location, regardless of whether or not this data store exists, a PERMISSION_DENIED error is returned. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores#DataStore`s to return. If unspecified, defaults to 10. The maximum allowed value is 50. Values above 50 will be coerced to 50. If this field is negative, an INVALID_ARGUMENT is returned. |
| `pageToken` | `string` A page token `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/ListDataStoresResponse#FIELDS.next_page_token`, received from a previous `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.dataStores/list#google.cloud.discoveryengine.v1alpha.DataStoreService.ListDataStores` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.dataStores/list#google.cloud.discoveryengine.v1alpha.DataStoreService.ListDataStores` must match the call that provided the page token. Otherwise, an INVALID_ARGUMENT error is returned. |
| `filter` | `string` Filter by solution type . For example: `filter = 'solutionType:SOLUTION_TYPE_SEARCH'` |
| `view` | ``enum (`https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/DataStoreView`)`` Optional. The view to apply to the returned `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores#DataStore`s. Defaults to `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/DataStoreView#ENUM_VALUES.DATA_STORE_VIEW_BASIC` if unspecified. `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/DataStoreView#ENUM_VALUES.DATA_STORE_VIEW_FULL` additionally populates `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataStores#DataStore.FIELDS.icon_uri` for connector-backed data stores. Resolving connector icons requires extra lookups, so request it only when the caller renders the icons. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/ListDataStoresResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.dataStores.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).